function checkAndUpdateData()
{
	// migrate v1 to trigger data structure
	var fMigrate=false;
	var basePropertyArray = Property.getNode('values');
	if (basePropertyArray!=null) {
		var subPropArray = basePropertyArray.getChildren();
		for ( var iIndex = 0; iIndex < subPropArray.length; iIndex++) {
			var baseProp = subPropArray[iIndex];
			var triggerProp = baseProp.getChild('trigger');
			if (triggerProp!=null) {
				var triggerZone = triggerProp.getChild('zone');
				var triggerGroup = triggerProp.getChild('group');
				var triggerScene = triggerProp.getChild('scene');
				if (triggerZone != null)
					if (triggerGroup != null)
						if (triggerScene != null) {
							fMigrate=true;						
							Property.setProperty(baseProp.getPath()+'/triggers/1/type','zone-scene');
							Property.setProperty(baseProp.getPath()+'/triggers/1/scene',triggerScene.getValue());
							Property.setProperty(baseProp.getPath()+'/triggers/1/group',triggerGroup.getValue());
							Property.setProperty(baseProp.getPath()+'/triggers/1/zone',triggerZone.getValue());
							Property.setFlag(baseProp.getPath()+'/triggers/1/zone','ARCHIVE',true);
							Property.setFlag(baseProp.getPath()+'/triggers/1/group','ARCHIVE',true);
							Property.setFlag(baseProp.getPath()+'/triggers/1/scene','ARCHIVE',true);
							Property.setFlag(baseProp.getPath()+'/triggers/1/type','ARCHIVE',true);
							baseProp.removeChild('trigger');
						}
			}
			var messageProp = baseProp.getChild('message');
			if (messageProp!=null) {
				var messageBody = messageProp.getChild('message');
				if (messageBody!=null)
				{
					fMigrate=true;
					Property.setProperty(messageProp.getPath()+'/messageBody',messageBody.getValue());
					Property.setFlag(messageProp.getPath()+'/messageBody','ARCHIVE',true);
					messageProp.removeChild('message');
				}
			}

		}
	}
	
	if (fMigrate)
		Property.store();
}